Package org.eclipse.ecf.remoteservice.rest

# Interface IRestCall

All Superinterfaces:
  `IRemoteCall`

All Known Implementing Classes:
  `RestCall`

public interface IRestCall extends IRemoteCall
Rest call provides a way for clients to access/call a remote service. Instances can be created via the `RestCallFactory` static method. Created instances typically will be passed to one of the call methods on `IRemoteService`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`DEFAULT_TIMEOUT`
Default remote call timeout is set to the value of system property 'ecf.remotecall.rest.timeout'.

## Method Summary

Modifier and Type
Method
Description
`Map`
`getRequestHeaders()`
Provides any call-specific request headers.

### Methods inherited from interface org.eclipse.ecf.remoteservice.IRemoteCall

`getMethod, getParameters, getTimeout`

## Field Details

### DEFAULT_TIMEOUT

static final long DEFAULT_TIMEOUT
Default remote call timeout is set to the value of system property 'ecf.remotecall.rest.timeout'. If system property not set, the default is set to 30000ms (30s).

## Method Details

### getRequestHeaders

Map getRequestHeaders()
Provides any call-specific request headers.

Returns:
  a `Map` object which contains and additional header parameters (String->String). May be `null`.